## linux-meta-azure-6.11 6.11.0-1018.18~24.04.1

=== debian/changelog ===
linux-meta-azure-6.11 (6.11.0-1018.18~24.04.1) noble; urgency=medium

  * Main version: 6.11.0-1018.18~24.04.1

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants

 -- John Cabaj <john.cabaj@canonical.com>  Fri, 27 Jun 2025 22:23:20 -0500

linux-meta-azure-6.11 (6.11.0-1017.17~24.04.1) noble; urgency=medium

  * Main version: 6.11.0-1017.17~24.04.1

 -- John Cabaj <john.cabaj@canonical.com>  Thu, 12 Jun 2025 14:57:14 -0500

linux-meta-azure-6.11 (6.11.0-1016.16~24.04.1) noble; urgency=medium

  * Main version: 6.11.0-1016.16~24.04.1

 -- John Cabaj <john.cabaj@canonical.com>  Mon, 02 Jun 2025 22:38:09 -0500

linux-meta-azure-6.11 (6.11.0-1015.15~24.04.1) noble; urgency=medium

  * Main version: 6.11.0-1015.15~24.04.1

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- resync from main package

 -- Vinicius Peixoto <vinicius.peixoto@canonical.com>  Wed, 30 Apr 2025 21:52:27 -0300

linux-meta-azure-6.11 (6.11.0-1014.14~24.04.1) noble; urgency=medium

  * Main version: 6.11.0-1014.14~24.04.1

 -- Vinicius Peixoto <vinicius.peixoto@canonical.com>  Wed, 23 Apr 2025 20:42:37 -0300

linux-meta-azure-6.11 (6.11.0-1013.13~24.04.1) noble; urgency=medium

  * Main version: 6.11.0-1013.13~24.04.1

 -- John Cabaj <john.cabaj@canonical.com>  Fri, 28 Mar 2025 16:42:30 -0500

linux-meta-azure-6.11 (6.11.0-1012.12~24.04.1) noble; urgency=medium

  * Main version: 6.11.0-1012.12~24.04.1

 -- John Cabaj <john.cabaj@canonical.com>  Mon, 10 Mar 2025 12:02:04 -0500

linux-meta-azure-6.11 (6.11.0-1011.11~24.04.1) noble; urgency=medium

  * Main version: 6.11.0-1011.11~24.04.1

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants
    - [Packaging] debian/dkms-versions -- resync from main package

 -- John Cabaj <john.cabaj@canonical.com>  Fri, 28 Feb 2025 11:29:40 -0600

linux-meta-azure-6.11 (6.11.0-1008.8~24.04.1) noble; urgency=medium

  * Main version: 6.11.0-1008.8~24.04.1

 -- John Cabaj <john.cabaj@canonical.com>  Thu, 16 Jan 2025 12:22:28 -0600

linux-meta-azure-6.11 (6.11.0-1007.7~24.04.1) noble; urgency=medium

  * Main version: 6.11.0-1007.7~24.04.1

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants

 -- John Cabaj <john.cabaj@canonical.com>  Wed, 27 Nov 2024 13:14:23 -0600

linux-meta-azure-6.11 (6.11.0-1000.0) noble; urgency=medium

  * Empty entry

 -- John Cabaj <john.cabaj@canonical.com>  Tue, 26 Nov 2024 22:25:01 -0600
